summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2009-03-01 21:57:12 +0000
committerChristian Ruppert <idl0r@gentoo.org>2009-03-01 21:57:12 +0000
commit08a9f077a7a5363af1f689cf5da6a8d1bb2937bd (patch)
tree92054b81aefc921ec283ff803f850766e77e9b56
parentapp-portage/layman-add: New Ebuild for bug 260770 (diff)
downloadsunrise-08a9f077a7a5363af1f689cf5da6a8d1bb2937bd.tar.gz
sunrise-08a9f077a7a5363af1f689cf5da6a8d1bb2937bd.tar.bz2
sunrise-08a9f077a7a5363af1f689cf5da6a8d1bb2937bd.zip
media-gfx/synfig: version bump to 0.61.09, cleanup/fixes
svn path=/sunrise/; revision=7987
-rw-r--r--media-gfx/synfig/ChangeLog4
-rw-r--r--media-gfx/synfig/Manifest6
-rw-r--r--media-gfx/synfig/synfig-0.61.08.ebuild48
-rw-r--r--media-gfx/synfig/synfig-0.61.09.ebuild57
4 files changed, 64 insertions, 51 deletions
diff --git a/media-gfx/synfig/ChangeLog b/media-gfx/synfig/ChangeLog
index d7e978d7a..ddbfa3b47 100644
--- a/media-gfx/synfig/ChangeLog
+++ b/media-gfx/synfig/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 01 Mar 2009; Christian Ruppert (idl0r) <spooky85@gmail.com>
+ -synfig-0.61.08.ebuild, +synfig-0.61.09.ebuild:
+ version bump to 0.61.09, cleanup/fixes
+
19 Jan 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
synfig-0.61.08.ebuild:
Add suggested RDEPEND=${DEPEND}, add die statements
diff --git a/media-gfx/synfig/Manifest b/media-gfx/synfig/Manifest
index b2ce45c1d..cb94010fb 100644
--- a/media-gfx/synfig/Manifest
+++ b/media-gfx/synfig/Manifest
@@ -1,4 +1,4 @@
-DIST synfig-0.61.08.tar.gz 2688529 RMD160 3b764b432ba6e97511b010eb01608e6424868396 SHA1 ec0f90da55089bf273dca05115c851c79f5f2a59 SHA256 3c54ed117a87684ac5a3fe5e1d80d3e1c30aef9793c26582cf23aad3cd779b15
-EBUILD synfig-0.61.08.ebuild 1223 RMD160 ab4f93ddbf64634bd68cf8a9974aa68be0d2e58a SHA1 3520b8443e6d00a8c38c6f10752e9a818b3c37c3 SHA256 c862ab686e2f5566c10ddd11a10d7238ffd5882ba2f4773784b6bcfb70b947ad
-MISC ChangeLog 2106 RMD160 e62c2035eda75cc0ac9161988164a1bfe6561fd5 SHA1 8137fdb35b7b839dd19d2c8f8a49c413f7764a71 SHA256 2d33bd661aca40819049b687ba4730315a73081ad196aa3111a87343ac5c1ee8
+DIST synfig-0.61.09.tar.gz 2661889 RMD160 54ba4812bebe4c93ea3ea721dc1880c5b4ce0f0a SHA1 0c72ae152898970ceb91e4d7d09f506c023bd490 SHA256 942937e7498bc3c1a12b0ea42948f01445da3b94ab21be73ab49a7ef304300dd
+EBUILD synfig-0.61.09.ebuild 1307 RMD160 8714580c95f9938112b7fa30e7759f92226610a0 SHA1 2a9429b4f058e8924ba11b3685f8eba3fdac6728 SHA256 234ba74ef8bc1fecef8cc4c1764b6c90e39a9b73c3bc68895ade666d7ede8f9f
+MISC ChangeLog 2260 RMD160 f77425cf9d5659a04363d906493c34271f1c6d7c SHA1 2dd5408107f2a79b73d381e4497f57e2a5226f99 SHA256 6823a768ecd1431ada3355363417fadc37108a61160a4089a1aa14dee5d13ad5
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/media-gfx/synfig/synfig-0.61.08.ebuild b/media-gfx/synfig/synfig-0.61.08.ebuild
deleted file mode 100644
index 3cf94ef5f..000000000
--- a/media-gfx/synfig/synfig-0.61.08.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-DESCRIPTION="Synfig: Film-Quality Vector Animation (core engine)"
-HOMEPAGE="http://www.synfig.org/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-# automagic dependencies are not acceptable
-IUSE="dv fontconfig ffmpeg imagemagick openexr truetype" # jpeg png tiff
-
-DEPEND=">=dev-libs/libsigc++-2.0.0
- >=dev-cpp/libxmlpp-2.6.1
- >=dev-cpp/ETL-0.04.10
- media-libs/jpeg
- media-libs/tiff
- media-libs/libpng
- dv? ( media-libs/libdv )
- ffmpeg? ( media-video/ffmpeg )
- fontconfig? ( media-libs/fontconfig )
- imagemagick? ( media-gfx/imagemagick )
- openexr? ( media-libs/openexr )
- truetype? ( >=media-libs/freetype-2.1.9 )"
-RDEPEND=${DEPEND}
-
-src_compile() {
- econf \
- $(use_with ffmpeg ) \
- $(use_with ffmpeg libavcodec ) \
- $(use_with fontconfig) \
- $(use_with imagemagick) \
- $(use_with dv libdv) \
- $(use_with openexr ) \
- $(use_with truetype freetype)
-
- emake || die "emake failed"
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "Install failed!"
- dodoc doc/*.txt || die
- insinto /usr/share/${PN}/examples
- doins examples/*.sif || die
-}
diff --git a/media-gfx/synfig/synfig-0.61.09.ebuild b/media-gfx/synfig/synfig-0.61.09.ebuild
new file mode 100644
index 000000000..2db217071
--- /dev/null
+++ b/media-gfx/synfig/synfig-0.61.09.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=1
+
+DESCRIPTION="Film-Quality Vector Animation (core engine)"
+HOMEPAGE="http://www.synfig.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc dv examples ffmpeg fontconfig imagemagick jpeg nls openexr truetype"
+
+DEPEND=">=dev-libs/libsigc++-1.2
+ dev-cpp/libxmlpp
+ media-libs/libpng
+ >=dev-cpp/ETL-0.04.12
+ ffmpeg? ( media-video/ffmpeg )
+ openexr? ( media-libs/openexr )
+ fontconfig? ( media-libs/fontconfig )
+ truetype? ( media-libs/freetype:2 )
+ jpeg? ( media-libs/jpeg )
+ nls? ( sys-devel/gettext )"
+
+RDEPEND="${DEPEND}
+ dv? ( media-libs/libdv )
+ imagemagick? ( media-gfx/imagemagick )"
+
+src_compile() {
+ econf $(use_with ffmpeg) \
+ $(use_with ffmpeg libavcodec) \
+ $(use_with fontconfig) \
+ $(use_with imagemagick) \
+ $(use_with dv libdv) \
+ $(use_with openexr ) \
+ $(use_with truetype freetype) \
+ $(use_with jpeg) \
+ $(use_enable nls)
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed!"
+
+ if use doc; then
+ dodoc doc/*.txt || die "dodoc failed"
+ fi
+
+ if use examples; then
+ docinto examples
+ dodoc examples/*.sifz || die "dodoc examples failed"
+ fi
+}
+